module Vhcs
  class PbCompanyPlans < VhcsRecord

    self.table_name = 'PBCompanyPlans'

    alias_attribute :pb_company_plan_key, :PBCompanyPlanKey
    alias_attribute :company_pb_entity_key, :CompanyPBEntityKey
    alias_attribute :pl_plan_key, :PLPlanKey


    def attributes
      rails_like = {
          pb_company_plan_key: self.pb_company_plan_key,
          company_pb_entity_key: self.company_pb_entity_key,
          pl_plan_key: self.pl_plan_key,
      }
      super.merge(rails_like)
    end



  end
end